/******************************************************************************
*                                                                             
* T I C T   T U T O R I A L S                                                 
*                                                                                                                                                         
* Executive Editor: thomas.nussbaumer@gmx.net                                 
* Homepage:         http://go.to/tichess                                      
*                                                                                                                                                          
* ----------------------------------------------------------------------------- 
*                                                                                                                                                                                                                                       
* SERIES 1 - Basic Techniques                                                 
*                                                                             
* PART I: Handling Uncompressed Images in C-Projects  v 1.00                  
*
*
* Release Date: 14/08/2000                                                    
*                                                                                                                                                          
* ----------------------------------------------------------------------------- 
*                                                                                                                                                                                                                                       
* build this program by typing: tigcc -O2 showimg.c
*
* $Id: showimg.c,v 1.1 2000/08/13 23:52:51 Thomas Nussbaumer Exp $
*
******************************************************************************/

#define SAVE_SCREEN      // restore screen after program end
#define USE_GRAY_PATCH   // use grayscale patch


/*---------------------------------------------------------------------------*/
/* includes (NOTE: I don't use all.h, but include just the necessary files)  */
/*---------------------------------------------------------------------------*/
#include <nostub.h>      // necessary for the nostub stuff
#include <gray.h>        // for the grayscale routines
#include <kbd.h>         // for ngetchx()
#include <graph.h>       // for LCD_WIDTH definition
#include <compat.h>      // for the TI89 definition
#include <mem.h>         // for memset() and memcpy()

/*---------------------------------------------------------------------------*/
/* global variables                                                          */
/*---------------------------------------------------------------------------*/
int _ti92plus;          // needed to produce ti92plus code
int _ti89;              // needed to produce ti89 code


/*---------------------------------------------------------------------------*/
/* image data for bitplane 1                                                 */
/*---------------------------------------------------------------------------*/
unsigned char layer1[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x0E,0x00,0x7F,0xFF,0x80,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0xFF,0xFF,0xEF,0xFF,0xF7,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xCF,0xFF,0xFC,0xEF,0xFF,0xFF,0xFB,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xBF,0xFF,0xFF,0xEF,0xF0,0x03,0xFC,0x00,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0xFF,0xFF,0xAF,0xF0,0x03,0xFC,0x00,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x7F,0xC0,0x7F,0x8E,0x70,0x03,0xFF,0xF0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0xC0,0x7F,0xCE,0x70,0x03,0xFF,0xE0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xEE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0xFC,0x7F,0xEE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFE,0x70,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x03,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x07,0xFB,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x7F,0xFF,0xF0,0x07,0xFF,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFC,0x1B,0xFF,0xF0,0x7F,0xFF,0x80,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x1F,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x1F,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x1F,0xC0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x3F,0xE0,0x63,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x80,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xE3,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE3,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE3,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xD7,0x97,0xEF,0xFF,0xFF,0xFF,0xFF,0xE3,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xFF,0xFE,0xDF,0xF0,0x00,0x00,0x00,0xE3,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC3,0xFD,0xEF,0xB9,0xEF,0xFF,0xFF,0xFE,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC7,0xF8,0x07,0xF9,0xEC,0xFF,0xFF,0xCE,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xDF,0xE0,0x00,0xF9,0xEB,0xFF,0xFF,0xFE,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xC0,0x00,0xF9,0xEF,0xFF,0xFF,0xFA,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x81,0xFF,0xF9,0xE7,0xFC,0x07,0xF8,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x7F,0x87,0xC0,0x39,0xEF,0xFC,0x07,0xFC,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x7F,0x1F,0x80,0x1F,0xFF,0xFF,0xC7,0xFE,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x7E,0x00,0x1F,0xEF,0xFF,0xC7,0xFE,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFE,0xFC,0x00,0x1B,0xFF,0xFF,0xC7,0xFF,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFF,0xF8,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFD,0xF8,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFD,0xF0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFF,0xF0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xE7,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFF,0xF0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFD,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFD,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFF,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0xE0,0x00,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x60,0x00,0x21,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x7F,0x60,0x00,0x61,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xF0,0x00,0xE1,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0xF0,0x01,0xC1,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xCF,0xE0,0x07,0xC1,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC7,0xFD,0xEF,0x01,0xFF,0xFF,0xC7,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC3,0xFF,0xFE,0x01,0xFF,0xFF,0xC1,0xBF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC1,0xA7,0x90,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xC0,0xFE,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x03,0xFF,0xC0,0x0F,0xF8,0x00,0x01,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x40,0x00,0x1B,0x40,0x00,0x1F,0x00,0x00,0x00,0x00,0x08,0x40,0x40,0x00,0x03,0x80,0x00,
0x00,0x00,0x0C,0x60,0x00,0x1B,0x20,0x00,0x0F,0x80,0x00,0x00,0x00,0x0C,0x60,0x20,0x00,0x05,0xC0,0x00,
0x00,0x00,0x0C,0x67,0x58,0xFB,0x4B,0x0C,0x06,0x52,0x1C,0x63,0x8E,0x0C,0x6E,0x4B,0x0C,0x0A,0x40,0x00,
0x00,0x00,0x0F,0xEB,0xED,0x7B,0x6D,0x96,0x06,0x6D,0x2E,0xB5,0xD7,0x0C,0x77,0x6D,0x96,0x14,0x00,0x00,
0x00,0x00,0x0F,0xF5,0xF7,0x9B,0x6E,0xEB,0x06,0x7F,0xD7,0x5E,0xA8,0x0C,0x68,0x6E,0xEB,0x18,0x00,0x00,
0x00,0x00,0x0C,0x79,0xE7,0x9B,0x6C,0xF3,0x06,0x6D,0xE7,0x9F,0x44,0x0C,0x64,0x6C,0xF3,0x18,0x00,0x00,
0x00,0x00,0x0C,0x79,0xE7,0x9B,0x6C,0xF3,0x06,0x6D,0xE7,0x9F,0xC2,0x0C,0x62,0x6C,0xF3,0x18,0x80,0x00,
0x00,0x00,0x0C,0x6E,0xE6,0xFB,0x6C,0xDF,0x1F,0x6D,0xBA,0xFB,0xBD,0x07,0xBD,0x6C,0xDF,0x0F,0x40,0x00,
0x00,0x00,0x04,0x27,0x62,0x79,0x24,0x4F,0x0F,0xA4,0x9D,0x79,0xCE,0x03,0xCE,0x24,0x4F,0x07,0x80,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x28,0x00,0x00,0x00,0x00,0x05,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3A,0x00,0x00,0x01,0xD0,0x00,0x00,0x00,0x00,0x3A,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,0xE0,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};                                                                                
                                                                                

/*---------------------------------------------------------------------------*/
/* image data for bitplane 2                                                 */
/*---------------------------------------------------------------------------*/
unsigned char layer2[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x1E,0x00,0x7F,0xFF,0xC0,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x1E,0x00,0x0F,0xFC,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x1F,0x80,0x7E,0x1E,0x00,0x07,0xFC,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x3F,0x80,0x7F,0x1E,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0x7F,0x80,0x7F,0x9E,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0x80,0x7F,0xDE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0x80,0x7F,0xDE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1E,0xFF,0x80,0x7F,0xDE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xF8,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x80,0x7F,0xFE,0x00,0x07,0xFC,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x00,0x3F,0xFE,0x00,0x0F,0xFC,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xF8,0x00,0x07,0xFE,0x00,0x7F,0xFF,0xC0,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x0F,0xE0,0x11,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x7F,0xFC,0x11,0xE0,0x00,0x00,0x01,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x01,0xFE,0x1F,0xF1,0xE0,0x00,0x00,0x01,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x07,0xF0,0x03,0xF1,0xE1,0xF8,0x07,0xE1,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x0F,0xE0,0x01,0xF1,0xE3,0xF8,0x07,0xF1,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x1F,0xC0,0x00,0x71,0xE7,0xF8,0x07,0xF9,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x3F,0x80,0x00,0x71,0xEF,0xF8,0x07,0xFD,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x7F,0x00,0x00,0x31,0xEF,0xF8,0x07,0xFD,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x00,0x00,0x31,0xEF,0xF8,0x07,0xFD,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFE,0x00,0x00,0x11,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0x00,0x00,0x11,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFC,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1B,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x19,0xFE,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x00,0x00,0x01,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0xFF,0x00,0x00,0x11,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x7F,0x80,0x00,0x31,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x3F,0x80,0x00,0x71,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x1F,0xC0,0x00,0xE1,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x0F,0xF0,0x03,0x81,0xFF,0xF8,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x03,0xFE,0x1F,0x01,0xFF,0xF0,0x03,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0xFF,0xFC,0x01,0xFF,0x80,0x00,0x7F,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x1F,0xE0,0x01,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x40,0x00,0x12,0x40,0x00,0x1F,0x00,0x00,0x00,0x00,0x08,0x40,0x40,0x00,0x03,0x80,0x00,
0x00,0x00,0x08,0x40,0x00,0x12,0x00,0x00,0x04,0x00,0x00,0x00,0x00,0x08,0x40,0x00,0x00,0x04,0x80,0x00,
0x00,0x00,0x08,0x47,0x58,0xF2,0x4B,0x0C,0x04,0x52,0x1C,0x63,0x8E,0x08,0x4E,0x4B,0x0C,0x08,0x00,0x00,
0x00,0x00,0x0F,0xC9,0x65,0x12,0x4C,0x92,0x04,0x6D,0x24,0x94,0x50,0x08,0x50,0x4C,0x92,0x10,0x00,0x00,
0x00,0x00,0x08,0x51,0x45,0x12,0x48,0xA2,0x04,0x49,0x45,0x14,0x88,0x08,0x48,0x48,0xA2,0x10,0x00,0x00,
0x00,0x00,0x08,0x51,0x45,0x12,0x48,0xA2,0x04,0x49,0x45,0x17,0x04,0x08,0x44,0x48,0xA2,0x10,0x00,0x00,
0x00,0x00,0x08,0x51,0x45,0x12,0x48,0xA2,0x04,0x49,0x45,0x14,0x42,0x08,0x42,0x48,0xA2,0x10,0x80,0x00,
0x00,0x00,0x08,0x4E,0xC4,0xF2,0x48,0x9E,0x1F,0x49,0x3A,0xF3,0x9C,0x07,0x9C,0x48,0x9E,0x0F,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x20,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};



/*===========================================================================*/
/* main routine: where all the fun starts ...                                */
/*===========================================================================*/
void _main(void) {
    unsigned char* plane1;
    unsigned char* plane2;
    unsigned char* dest1;
    unsigned char* dest2;
    unsigned char* src1;
    unsigned char* src2;
    int            loop;
    
    //-----------------------------------------------
    // turn on grayscale graphics subsystem
    //-----------------------------------------------
    if (!GrayMode(GRAY_ON)) {
        return;
    }

    //-----------------------------------------------
    // fetch start addresses of planes
    //-----------------------------------------------
    plane1 = GetPlane(0);
    plane2 = GetPlane(1);

    //-----------------------------------------------
    // due to the fact that the LCD size of the TI89
    // is internally the same than the LCD size of 
    // the TI92 we cannot directly copy the complete
    // contents of the layer1 and layer2 arrays into
    // the bitplanes, but we have to copy each line
    // separately taking the offsets at each line
    // into account
    //-----------------------------------------------

    dest1 = plane1;
    dest2 = plane2;
    src1  = layer1;
    src2  = layer2;

    //-----------------------------------------------
    // on the TI92 we have to clear both bitplanes
    // because the skipped parts will be visible
    //
    // additionally we have to add an initial offset
    // to the destination pointers
    //-----------------------------------------------
    if (!TI89) {
        memset(plane1,0,LCD_SIZE);
        memset(plane2,0,LCD_SIZE);

        //-------------------------------------------
        // setup the destination pointers taking the 
        // initial offset into account
        // (each line consists of 30 bytes on a TI92)
        //-------------------------------------------
        dest1 += ((128-100)*30)/2 + ((240-160)/8)/2;
        dest2 += ((128-100)*30)/2 + ((240-160)/8)/2;
    }

    //-----------------------------------------------
    // ... and now copy all lines from the data 
    // arrays to the bitplanes
    //-----------------------------------------------
    for (loop=0;loop<100;loop++,src1+=20,src2+=20,dest1+=30,dest2+=30) {
        memcpy(dest1,src1,20);
        memcpy(dest2,src2,20);
    }
    
                
    //-----------------------------------------------
    // wait that the user presses a key ...
    //-----------------------------------------------
    ngetchx();

    //-----------------------------------------------
    // cleanup and bye =8-)
    //-----------------------------------------------
    GrayMode(GRAY_OFF);
}

//#############################################################################
//###################### NO MORE FAKES BEYOND THIS LINE #######################
//#############################################################################
//
//=============================================================================
// Revision History
//=============================================================================
//
// $Log: showimg.c,v $
// Revision 1.1  2000/08/13 23:52:51  Thomas Nussbaumer
// initial version
//
//
//
//
